# FFI::string

(PHP 7 >= 7.4.0)

FFI::string — Creates a PHP string from a memory area

### Description

public static FFI::string ( FFI\CData `&$ptr` [, int `$size` ] ) : string

Creates a PHP string from `size` bytes of the memory area pointed to by `ptr`.

### Parameters

`ptr`

  The start of the memory area from which to create a string.

`size`

  The number of bytes to copy to the string. If `size` is omitted, `ptr` must be a zero terminated array of C chars.

### Return Values

The freshly created PHP string.